#

API Docs for: 1.5.0
Show: Inherited Protected Private Deprecated

# Point Class

Defined in: `src/pixi/core/Point.js:5`
Module: PIXI

The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.

## Constructor

### `Point`

(

- `x`
- `y`

)

Defined in `src/pixi/core/Point.js:5`

#### Parameters:

- `x` Number

  position of the point on the x axis

- `y` Number

  position of the point on the y axis

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- fromArray
- toArray

### Properties

- x
- y

## Methods

### `clone`

() Point

Defined in `src/pixi/core/Point.js:30`

Creates a clone of this point

#### Returns:

Point:

a copy of the point

### `fromArray`

(

- `array`

)

Defined in `src/pixi/core/Matrix.js:36`

Creates a pixi matrix object based on the array given as a parameter

#### Parameters:

- `array` Array

  The array that the matrix will be filled with

### `toArray`

(

- `transpose`

)
Array

Defined in `src/pixi/core/Matrix.js:52`

Creates an array from the current Matrix object

#### Parameters:

- `transpose` Boolean

  Whether we need to transpose the matrix or not

#### Returns:

Array:

array the newly created array which contains the matrix

## Properties

### `x`

Number

Defined in `src/pixi/core/Point.js:15`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Point.js:22`

Default: 0